@font-face {
  font-family: "Poppins";
  src: url(../Fonts/Poppins/Poppins-Regular.ttf);
}

@font-face {
  font-family: "Poppins Black";
  src: url(../Fonts/Poppins/Poppins-Black.ttf);
}

@font-face {
  font-family: "Lora";
  src: url(../Fonts/Lora/Lora-VariableFont_wght.ttf);
}

@font-face {
  font-family: "Alkatra";
  src: url(../Fonts/Alkatra/Alkatra-VariableFont_wght.ttf);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}

body {
  background: #f5f5f5 !important;
}

.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
  flex: 1;
}

img {
  display: block !important;
}

/* Edit mode CSS */
#saveChangesBtn {
  margin-left: 80vw;
  font-size: 1.8vw !important;
  position: fixed;
}

.editable-input {
  background-color: rgba(255, 255, 255, 0) !important;
  border: 1px solid rgb(255, 13, 13) !important;
  padding: 2px;
}

.selection {
  margin-top: 6vw;
}

/* body css */
.titleContainer {
  width: 70%;
  margin: auto;
  text-align: center;
}

.categories {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  width: 95%;
  margin-top: var(--margin-m);
}

.card,
.card-body {
  text-align: center;
}

.card {
  box-shadow: 0 40px 60px rgba(0, 0, 0, 0.1);
  margin: 0;
  background-color: whitesmoke !important;
}

.card-body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin: var(--margin-m) auto;
  flex: 1;
  border-radius: var(--radius-lg);
}

.card-img-top.category {
  border-radius: 2vw !important;
  padding: 1vw;
  height: 20vw;
  object-fit: cover;
  width: 100%;
  margin: 0 auto;
}

.card-title {
  font-family: "Poppins";
  font-style: italic;
  font-weight: bold;
  font-size: clamp(
    var(--font-size-lg),
    calc(var(--font-size-md) + 1vh),
    var(--font-size-md)
  );
  text-align: center;
}

.categoryLink {
  text-decoration: none;
  color: gray;
  &:hover {
    text-decoration: none !important;
  }
}

.categoryLink .card {
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.categoryLink:hover .card {
  transform: translateY(-6px);
  box-shadow: 0 8px 6px rgba(39, 183, 255, 0.4);
}

.categoryLink .selected {
  color: var(--blue-350) !important;
  text-decoration: underline;
}

/* rates code */
#rates,
#hotelRooms {
  margin-top: var(--margin-md);
}
/* entrance */
.entrance {
  background-color: rgba(16, 128, 125, 1);
}
.entranceFee {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: var(--margin-sm) auto;
}

.entranceTitleContainer {
  width: 50%;
  margin: auto;
  text-align: center;
  margin-top: 2vw !important;
  color: whitesmoke;
}

.entranceTitle {
  font-size: calc(var(--font-size-lg) + 1vh);
  font-family: "Lora";
}

.entranceCard {
  padding: 1vw;
  font-size: var(--font-size-md);
  display: grid;
  align-items: center;
}

.entrance-card-title {
  font-family: "Lora";
  font-size: var(--font-size-lg);
  color: #212121 !important;
  text-align: center;
}

.entrace-card-body {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin: 0 auto;
}

.entrance-card-content {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: auto;
}

.swiper-container {
  width: 100%;
  height: 100%;
  margin: auto;
  overflow: hidden;
}

.swiper-wrapper {
  display: flex;
  align-items: stretch;
}

.swiper-slide {
  display: flex !important;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
}

.swiper-slide .card {
  flex: 1;
  flex-direction: column;
}

.swiper-pagination {
  bottom: 10px !important;
  text-align: center;
  position: static !important;
}

.card-wrapper {
  display: flex;
  flex-wrap: nowrap;
  gap: 20px;
  width: 100%;
  justify-content: space-between;
  height: 100% !important;
}

.card.cottage {
  flex: 1;
}

.cottage img {
  width: 100%;
}

.title {
  text-align: center;
  margin-bottom: 1vw;
  font-size: clamp(
    var(--font-size-xxl),
    calc(var(--font-size-lg) + 1vh),
    var(--font-size-xl)
  );
  font-family: "Lora";
  font-weight: var(--font-weight-bold);
  color: #000000;
}

/* end of entrance code */

.cottages,
.entrance,
.videoke {
  width: 98%;
  border-radius: var(--radius-lg);
}

/* cottages code */

.cottages {
  display: flex;
  flex-wrap: wrap;
  height: 100%;
  column-gap: 5px;
  row-gap: 2vw;
  padding: 2vw;
}

#cottageCard {
  width: 23% !important;
  margin: auto;
  justify-content: center !important;
}

.cottageDisplayPhoto {
  object-fit: cover;
  width: 90% !important;
  padding-top: 1vw;
  aspect-ratio: 1;
  margin: auto;
}

.card-body.description {
  display: flex;
  flex: 1;
  width: 100%;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.card-body.description h2,
.card-body.description a {
  font-size: var(--font-size-md);
  font-family: "Poppins";
}

.card-body.description p {
  font-size: var(--font-size-base);
  font-family: "Poppins";
}

.section {
  width: 50%;
}

/* end of cottages code */

/* videoke code  */

.videoke {
  background-color: #f5f5f5;
}

#videokePriceDesc {
  font-family: "Poppins";
  font-size: var(--font-size-md);
  font-weight: bold;
}

.videokeDesc {
  text-align: center;
  font-family: "Poppins";
  font-size: var(--font-size-base);
}

#videokeDisplayPhoto,
#billardsDisplayPhoto,
#massageChairDisplayPhoto {
  width: 30vw;
  aspect-ratio: 16/9;
  object-fit: fill;
}

.videokeTitleContainer {
  text-align: center;
}

.videokeTitle {
  margin-top: 1vw;
  font-size: 2.5vw;
  font-family: "Lora";
}

.videokeDesc {
  padding: 0.8vw;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
}

#videokeDesc p {
  font-size: 1.5vw;
}

.billiardMassage {
  flex-direction: row !important;
}

/*end of videoke code */

/* billiards code */
#billiards {
  flex-direction: column;
}

#billiard-flex {
  flex-direction: column-reverse;
}

/* end of billiards code */

/* massage chair code */

#billiards,
.massage {
  padding: 1vw;
  border-radius: 20px;
}

#massageDesc {
  font-size: var(--font-size-sm);
  padding: 0.8vw;
  width: 75%;
}

/* end of massage chair  code */
/* end of rates code */

/* start of hotel code */
#hotelTitle,
#ratesTitle {
  cursor: pointer;
}

#hotelTitle:hover,
#ratesTitle:hover {
  color: #138ce9;
}

.hotelDescription {
  margin-top: 1vw;
  font-size: var(--font-size-md);
}

.roomNum {
  font-size: var(--font-size-lg);
}

#allrooms {
  background-color: gray;
  padding: 0.5vw;
  border-radius: 0.2vw;
}

.halfImg img {
  width: 100%;
}

.container-fluid {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 80%;
  background: whitesmoke !important;
  padding-bottom: 1vw;
}

.hidden {
  display: none !important;
}

.hotelIconWithCaption {
  transition: all 0.3s ease;
  width: 19%;
}

.hotelIconContainer {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  margin: 0 auto;
  width: 80%;
  gap: 1vw;
  padding: 1vw;
}

.hotelIcon {
  width: 4vw;
}

.filterBtns button.selected {
  border: 3px solid #5e99f3;
  -webkit-box-shadow: 3px 3px 18px 1px rgba(107, 195, 255, 0.91);
  box-shadow: 3px 3px 18px 1px rgba(107, 195, 255, 0.91);
}

.availabilityIcons,
.availabilityIcon {
  margin: 1vw auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.availabilityIcons {
  width: 50%;
}

.roomCaption {
  font-size: var(--font-size-md);
  font-family: "Lora";
}

.avail {
  width: 3vw;
}

.availabilityIcons p {
  font-size: var(--font-size-lg);
  font-weight: 700;
  font-family: "Lora";
  margin: 0 2vw 0 1vw;
}

.filterBtns {
  width: 45%;
  margin: 1vw auto;
  display: flex;
  justify-content: space-between;
}

#hotelDate {
  width: 20vw;
}

.hotelRoomList {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  margin: 2vw auto;
}

.hotel {
  padding: 0.5vw;
  margin: 1vw auto 1vw auto;
  justify-content: space-around;
}

.Description {
  text-align: center;
  margin-top: 1rem;
}

.Description h2 {
  font-size: clamp(2.3vw, 2.4vw, 2.1vw);
}

.Description p {
  font-size: var(--font-size-md);
  margin-bottom: 0.5vw !important;
}

.ourRooms {
  margin-top: 2vw;
}

/* end of hotel  code */

/* Back to top button */
/* Back to top button */
#backToTopBtn {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 100;
  background-color: #00bbff;
  color: rgb(245, 245, 245);
  padding: 12px 15px;
  border-radius: 50%;
  text-align: center;
  text-decoration: none;
  display: none;
  aspect-ratio: 1 !important;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

#backToTopBtn i {
  margin: 0.5vw;
}
#backToTopBtn:hover {
  background-color: #555;
  transform: scale(1.1);
}

.popup-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  justify-content: center;
  align-items: center;
  z-index: 9999;
  opacity: 0;
  transform: scale(0.95);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.popup-container.show {
  display: flex;
  opacity: 1;
  transform: scale(1);
}

.popup-image {
  max-width: 90%;
  max-height: 90%;
  border-radius: 10px;
}

.close-popup {
  position: absolute;
  top: 20px;
  right: 20px;
  border: none;
  padding: 10px;
  cursor: pointer;
  font-size: 16px;
  z-index: 10000;
}

/* End of back to top */

/* Tablet size */
@media only screen and (min-width: 600px) and (max-width: 1025px) {
  .selection {
    margin-top: 7vw;
  }

  .card-title {
    font-size: clamp(3vw, 3.2vw, 3.5vw);
  }

  #rates {
    margin-top: 3vw;
  }

  .categoryLink h5 {
    font-size: var(--font-size-lg);
  }

  .title {
    font-size: var(--font-size-xxl);
    margin-bottom: 2vw !important;
  }

  .entranceTitleContainer {
    padding-top: 0 !important;
  }

  .entranceTitle {
    font-size: clamp(3.9vw, 3.5vw, 3.7vw);
  }

  .entrance {
    padding-top: 2vw !important;
  }

  .entranceFee {
    margin: 4vw auto;
    width: 95%;
  }

  .cottages {
    width: 70%;
  }

  #cottageCard {
    width: 32% !important;
    margin: auto;
    justify-content: center !important;
    border-radius: 10% !important;
    padding: 1vw;
  }

  .card-body.description h2 {
    font-size: clamp(18px, calc(1.5vh + 2px), 16px);
  }

  #videokePriceDesc {
    font-size: clamp(20px, calc(1.4vh + 2px), 17px);
  }

  .card-body.description p,
  .card-body.description a {
    font-size: clamp(16px, calc(1.5vh + 2px), 14px);
  }

  .videokeDesc {
    font-size: clamp(27px, calc(1.8vh + 2px), 24px);
  }

  .card-body.description {
    margin: 0 auto;
  }

  .entranceCard {
    border-radius: 2vw !important;
    padding: 3vw 2vw;
    width: 30% !important;
    margin: 0 !important;
  }

  .cottageDisplayPhoto {
    width: 80% !important;
  }

  .poolTitleContainer {
    width: 70%;
  }

  .poolTitle {
    font-size: clamp(12px, calc(1.5vh + 4px), 20px);
  }

  .singleImg {
    width: 90%;
  }

  #videokeDisplayPhoto,
  #billardsDisplayPhoto,
  #massageChairDisplayPhoto {
    width: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
  }

  .Description h2 {
    font-size: clamp(26px, calc(3vh + 4px), 30px);
  }

  .Description {
    text-align: center;
  }

  .Description p {
    font-size: clamp(18px, calc(1.4vh + 4px), 16px);
    margin-bottom: 0.5vw !important;
  }

  .singleImg img {
    width: 75%;
  }

  #videokeDesc p,
  #massageDesc {
    font-size: var(--font-size-md);
  }

  .section {
    align-items: center !important;
  }

  .availabilityIcons {
    width: 80%;
  }

  input {
    font-size: clamp(2.1vw, 2.3vw, 2.5vw) !important;
    width: 100%;
  }
  .hotelIconsContainer {
    width: 90%;
  }

  .hotelIconContainer {
    width: 80%;
  }

  .hotelIconWithCaption {
    width: 23%;
  }

  .hotelIcon {
    width: 8vw;
  }

  .hotel {
    align-items: baseline;
  }

  .roomCaption {
    font-size: var(--font-size-md);
  }

  .availabilityIcons p {
    font-size: var(--font-size-lg);
  }

  .hotelDescription {
    font-size: var(--font-size-md);
  }

  /* Back to top button */
  #backToTopBtn {
    bottom: 20px;
    right: 30px;
    font-size: 3.5vw !important;
    transition: background-color 0.3s ease, transform 0.3s ease;
  }

  #backToTopBtn i {
    margin: 0.8vw;
  }
}

@media (max-width: 800px) {
  #rates,
  #hotelRooms {
    margin-top: var(--margin-sm);
  }
  .categories {
    margin-top: 12vw;
  }
  .card-body h5 {
    font-size: clamp(24px, calc(2vh + 2px), 27px);
  }

  .titleContainer {
    width: 80%;
  }

  .categoryLink h5 {
    font-size: var(--font-size-md);
  }

  .cottages {
    width: 80%;
  }

  #cottageCard {
    width: 45% !important;
    margin: auto;
    justify-content: center !important;
    border-radius: 10% !important;
    padding: 2.2vw;
  }

  .hotelIconWithCaption {
    width: 30%;
  }

  .hotelIcon {
    width: 9vw;
  }

  .availabilityIcon img {
    width: 4vw;
  }
  .availabilityIcons p,
  .hotelDescription {
    font-size: var(--font-size-md);
  }

  input {
    font-size: clamp(3.5vw, 3.8vw, 4vw);
  }

  .roomCaption,
  .Description h2 {
    font-size: clamp(16px, calc(1.3vh + 4px), 18px);
  }
}

@media (max-width: 600px) {
  .rates,
  .hotelRooms {
    margin-top: 13vw;
  }

  .categoryLink h5 {
    font-size: var(--font-size-base);
  }

  .categories {
    margin-top: 15vw;
  }

  .entranceCard {
    padding: 1vw;
  }

  .selection {
    margin-top: 15vw;
  }

  .cottages {
    width: 70%;
  }

  .entranceLine {
    border: none;
    border-top: 3px solid #d48d31;
    width: 30%;
    margin: 3vw auto 1.5vw auto;
    opacity: 1;
  }

  .title {
    margin-bottom: 1vw !important;
    font-size: calc(var(--font-size-xl) + 1vh);
  }

  .backToSelection i {
    font-size: 7vw;
  }

  .entranceTitleContainer {
    width: 90%;
  }

  .entranceTitle {
    font-size: clamp(22px, calc(2.2vh + 4px), 20px);
  }

  span.age {
    font-size: clamp(
      var(--font-size-sm),
      calc(var(--font-size-base) + 2px),
      var(--font-size-md)
    );
  }

  .entranceFee {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(1, 1fr);
    gap: 8px;
    width: 98%;
  }

  .entranceCard {
    padding: 1vw;
    display: grid !important;
    align-items: center;
  }

  .card-body.description h2,
  #videokePriceDesc {
    font-size: var(--font-size-lg);
  }

  .card-body.description {
    padding: 0 !important;
  }

  .card-body.description a {
    font-size: clamp(4vw, 3.8vw, 3.5vw);
    margin-top: 2.5vw !important;
  }

  .card-body.description p,
  .Description p,
  #videokeDesc p {
    margin-bottom: 0 !important;
    font-size: var(--font-size-base);
  }

  #cottageCard {
    width: 89% !important;
    padding: 2vw !important;
    margin: 0 auto !important;
    border-radius: 5% !important;
  }

  .section,
  #billiards,
  #massage {
    flex-direction: column;
  }

  .singleImg,
  #videokeDescContainer,
  #massageDesc {
    width: 90% !important;
    margin: 0 auto;
  }

  .singleImg {
    display: flex;
    justify-content: center;
  }

  #videokeDisplayPhoto,
  #billardsDisplayPhoto,
  #massageChairDisplayPhoto {
    width: 80% !important;
    margin: 0 auto;
  }
  .embed-responsive {
    width: clamp(70vw, 75vw, 80vw) !important;
  }

  .hotelIconsContainer {
    width: 95%;
  }

  .hotelIconContainer {
    width: 95%;
  }

  .availabilityIcons {
    width: 90%;
  }

  .hotelIcon {
    width: 70%;
  }

  .roomCaption,
  input {
    font-size: clamp(20px, calc(1.8vh + 2px), 22px);
  }

  .availabilityIcons p {
    font-size: clamp(17px, calc(1.6vh + 2px), 20px);
    font-family: "Lora";
    margin: 0 2vw 0 1vw;
  }

  .filterBtns {
    justify-content: center;
  }

  /* Back to top button */
  #backToTopBtn {
    font-size: 5vw !important;
  }

  #backToTopBtn i {
    margin: 1.2vw;
  }

  .hotel {
    align-items: baseline !important;
    padding: 2vw;
  }
  .swiper-wrapper {
    justify-content: space-evenly;
  }

  .entrance-card-title {
    font-size: var(--font-size-md);
  }
}

@media (max-width: 500px) {
  .videokes {
    flex-direction: column;
    gap: 10px;
  }

  .section {
    width: 100% !important;
  }

  .billiardMassage {
    flex-direction: column;
  }

  .billiardMassage .massage,
  .billiardMassage #billiards {
    width: 100%;
  }

  .card-body.description h2,
  #videokePriceDesc {
    font-size: var(--font-size-md);
  }
}
@media (max-width: 400px) {
  .selection {
    margin-top: 15vw;
  }

  .categories {
    margin-top: 20vw;
  }

  .hotelDescription {
    font-size: clamp(18px, calc(1.4vh + 2px), 16px);
  }

  .entranceTitle {
    font-size: var(--font-size-md);
  }

  .entrance-card-title {
    font-size: var(--font-size-sm);
  }

  span.age {
    font-size: var(--font-size-sm);
  }

  .selection {
    margin-top: 15vw;
  }

  .massage {
    margin-top: 3vw;
  }

  input {
    font-size: clamp(15px, calc(1.5vh + 4px), 16px) !important;
  }

  .availabilityIcon img {
    width: 7vw;
  }

  .availabilityIcons p {
    font-size: clamp(15px, calc(1.5vh + 4px), 16px) !important;
    line-height: normal;
  }

  .cottage {
    margin: 0 auto 2vw auto;
  }

  .backToSelection i {
    font-size: 7.5vw;
    margin-top: 8vw;
  }

  .roomCaption {
    font-size: clamp(17px, calc(2.9vh + 4px), 16px);
  }

  .hotel {
    padding-bottom: 4vw !important;
  }

  .Description p,
  #videokeDesc p,
  .card-body.description p,
  .Description p,
  #videokeDesc p {
    font-size: clamp(15px, calc(1.8vh + 2px), 14px) !important;
  }

  .card-body {
    width: 100%;
    padding: 5vw 0;
  }

  .card-body h5 {
    font-size: clamp(22px, calc(2vh + 2px), 19px);
  }

  .card-img-top.category {
    height: unset;
  }

  .card {
    margin: 3vw auto;
  }

  .availabilityIcons p {
    font-size: 2.3vw;
    font-weight: 700;
    font-family: "Lora";
    margin: 0 2vw 0 1vw;
  }

  /* Back to top button */
  #backToTopBtn {
    right: 10px;
    bottom: 10px;
    font-size: 5.6vw !important;
  }
}
